2008-05-09  Sankar P  <psankar@novell.com>

	* e-gw-container.c: (free_node):
	Fixes a double free. 

	** Fix for bug #532284

2008-04-30  Chenthill Palanisamy  <pchenthill@novell.com>

	** Fixes #338330 (bnc)
	Internet Based Calendar Events Are Declined By Evolution/GroupWise

	* e-gw-item.c: (e_gw_item_init),
	(e_gw_item_new_from_soap_parameter), (e_gw_item_is_from_internet):
	* e-gw-item.h:

2008-04-30  Chenthill Palanisamy  <pchenthill@novell.com>

	** Fixes part of #350143 (bnc)
	Severe memory leak in evolution-data-server

	* e-gw-container.c: (free_node):
	* e-gw-item.c: (e_gw_item_dispose), (e_gw_item_init),
	(set_organization_fields_from_soap_parameter),
	(e_gw_item_new_from_soap_parameter):

2008-04-30  Sankar P  <psankar@novell.com>

	** Fixes #182380 (bnc)
	Message classification and security cannot be viewed

	* e-gw-item.c: (e_gw_item_get_security):
	* e-gw-item.h:

2008-03-26  Stanislav Brabec  <sbrabec@suse.cz>

	** Fix for bug #522389

	* e-gw-connection.c: Use correct type for g_base64_decode to fix
	stack corruption on x86_64.

2008-03-25  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Added configurable Proxy settings for Evolution.

	* Makefile.am:
	* e-gw-connection.c: (update_soup_session_proxy_settings),
	(proxy_settings_changed), (e_gw_connection_dispose),
	(e_gw_connection_init), (e_gw_connection_new_with_error_handler):

2008-02-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for BNC bug #359944

	* e-gw-connection.c: (e_gw_connection_get_attachment_base64): Incase
	the input string is null, handle it safe. Reviewed by Sankar.

2008-02-22  Milan Crha  <mcrha@redhat.com>

	** Partial fix for bug #459468

	* e-gw-connection.c: (e_gw_connection_get_item),
	(e_gw_connection_reply_item), (e_gw_connection_forward_item):
	Do not report STATUS_OK when creation of new item failed.
	* e-gw-connection.c: (e_gw_connection_get_date_from_string): Check
	for NULL parameter and return with warning on console it that case.

2008-02-20  Milan Crha  <mcrha@redhat.com>

	** Fixes part of bug #510949

	* e-gw-sendoptions.c:
	* e-gw-proxy.c:
	* e-gw-item.c:
	* e-gw-connection.c: Memory leak fixes.

2008-02-20  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes part of bug#510949
	* e-gw-item.c: (set_recipient_list_from_soap_parameter): leak fix.

2008-01-15  Dan Winship  <danw@gnome.org>

	* e-gw-message.c: Update for libsoup 2.4

	* soup-soap-message.c: 
	* soup-soap-response.c: Moved here from libsoup. (FIXME: integrate
	with the rest of libegroupwise better.)

	* *.h: tweak soup-soap includes

2007-12-06  Sankar P  <psankar@novell.com>

	** Fixes bug #501969

	* e-gw-connection.c:
	(e_gw_connection_response_parse_status_and_description),
	(e_gw_connection_new_with_error_handler), (e_gw_connection_new):
	* e-gw-connection.h:
	Password should not be forgotten on all errors

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #474000

	* e-gw-item.c (e_gw_item_new_from_soap_parameter),
	(e_gw_item_set_calendar_item_elements),
	(e_gw_item_append_to_soap_message),
	(append_event_changes_to_soap_messages):
	* e-gw-connection.c (e_gw_connection_get_attachment):
	Use GLib's Base64 API instead of libsoup's.

2007-08-30  Chenthill Palanisamy  <pchenthill@novell.com>
	
	Fixes #298095 (bnc)
	* e-gw-container.[ch]: (e_gw_container_set_from_soap_parameter),
	(e_gw_container_get_is_system_folder),
	(e_gw_container_set_is_system_folder): Added a function to fetch
	the system folder flag.					       

2007-08-17  Johnny Jacob  <jjohnny@novell.com>
 
	** Fix for bug #458715.
	
	* e-gw-proxy.c: Fix for a wild pointer in proxy list.
 
2007-08-13  Ross Burton  <ross@openedhand.com>

	* e-gw-item.c:
	Fix compile warnings.

2007-08-10  Suman Manjunath  <msuman@novell.com>

	** Fixes bug #465419

	* e-gw-item.c: (e_gw_item_append_to_soap_message):
	If message body is NULL, use 0 as string length.

2007-08-10  Milan Crha  <mcrha@redhat.com>

	* e-gw-connection.c: (e_gw_connection_get_container_list):
	Fixed critical warning when cnc is NULL (i.e. user cancels
	password dialog.) Done together with bug #327977.

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Memory leak fixes from bug #440524

	* e-gw-connection.c: (e_gw_connection_get_items_delta_info):
	* e-gw-item.c: (set_contact_fields_from_soap_parameter):

2007-05-07  Matthew Barnes  <mbarnes@redhat.com>

	* e-gw-item.c:
	Fix warnings reported by 'sparse'.  Patch from Kjartan Maraas.

2007-04-01  Matthew Barnes  <mbarnes@redhat.com>

	** Various code-cleanups from Kjartan Maraas.

	* e-gw-recur-utils.c: Declare private array as static.

	* e-gw-message.c (debug_handler), (setup_debug):
	Use NULL instead of zero (0).

2007-03-26  Matthew Barnes  <mbarnes@redhat.com>

	* e-gw-connection.c:
	Don't mix declarations and code (#405495).
	Patch from Jens Granseuer.

2007-01-09  Harish Krishnaswamy <kharish@novell.com>

	* e-gw-item.c : Fixes #242270 <bugzilla.novell.com>.
	Limit the array subscripts within bounds.

2006-12-06  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-container.c: (free_node) : Fix leaking of 
	the EShUsers structure.
	(e_gw_container_set_from_soap_parameter): Remove a redundant
	g_strdup and g_free pair.

2006-12-04  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-connection.c: (e_gw_connection_dispose):Remove
	unused variable permissions_key.

2006-12-04  Harish Krishnaswamy  <kharish@novell.com>

	* Makefile.am, e-gw-connection.c: (form_login_request):
	Embed build timestamps into GroupWise login requests.
	Fixes bugzilla.novell.com #174655.

2006-12-03  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-connection.c: (e_gw_connection_dispose):
	Clean up the code to remove redundant lookups and 
	fix leaking of temporary strings.
	(form_login_request), (e_gw_connection_new),
	(e_gw_connection_get_proxy_connection): Fix leaks of
	hash_key, name.

2006-12-03  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-item.c: (e_gw_item_dispose): Fix leak of end_date.

2006-12-03  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-sendoptions.c: (parse_status_tracking_options):
	Do not pass null params to libsoup calls.

2006-12-03  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-container.c:
	(e_gw_container_set_from_soap_parameter): Fix leak of
	the string value of 'total'.

2006-11-20  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-connection.c: (e_gw_connection_dispose):
	Free user_uuid on dispose. This fixes a leak, one of
	the several issues targeted by Bug #222605 on
	bugzilla.novell.com

2006-08-07  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-filter.c (append_complex_component):
	Filter elements are named 'group' not 'element'.

2006-07-26  Matthew Barnes <mbarnes@redhat.com>

	* e-gw-item.h: Add missing function declaration.

2006-07-24  Veerapuram Varadhan  <vvaradhan@novell.com>

	* e-gw-connection.c: (e_gw_connection_init): Create SoupSessionSync
	with a default timeout of 30 seconds.
	
2006-07-22  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-connection.c: (e_gw_connection_read_cal_ids):
	* e-gw-item.c: (e_gw_item_append_to_soap_message),
	(e_gw_item_append_changes_to_soap_message): Added support
	for gw notes.

2006-07-17  Sankar P  <psankar@novell.com>

	* e-gw-item.c, e-gw-sendoptions.h:
	Added security-classification support for GW send-options.

2006-06-13  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	Fixes bug #167517 on bnc

	* e-gw-item.[ch]: Use the hasAttachment soap element
	to check if a mail contains an attachment or not.

2006-06-13  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	Fixes bug #179075 on bnc
	* e-gw-item.c (e_gw_item_new_from_soap_parameter):
	set the is_group_item to FALSE only if its a CALENDAR
	or TASKS item

2006-06-12  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	Fixes bug #166265 on bnc
	* e-gw-connection.[ch]: Add a new method
	e_gw_connection_purge_selected_items to selectively delete messages
	from trash.

2006-04-24  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	Reviewed by Harish Krishnaswamy <kharish@novell.com>

	* servers/groupwise/e-gw-item.c: Remove C99ism so that this builds
	with gcc 2.95, shipped with e.g. NetBSD 1.6.  Fixes bug #337197.

2006-04-10  Devashish Sharma  <sdevashish@novell.com>

	* e-gw-connection.c : (e_gw_connection_get_items_delta):
	Fix for an infinite looping issue.
	
2006-04-07  Sushma Rai  <rsushma@novell.com>

	* doc/GW_SABdeltas.txt: Added addressbook deltas schema file.
 
2006-03-17  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-connection.[ch]:
	(e_gw_connection_get_attachment_base64): gets an attachment
	purely in base64, this should be used in situations where the
	attachment/message-body is larger than 1MB.

2006-03-15  Sankar P  <psankar@novell.com>

	* e-gw-connection.c: (e_gw_connection_get_quick_messages)
	Timestamp should be updated for the Modified call too.
	
2006-01-23  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #305656
	* e-gw-connection.c: (e_gw_connection_read_cal_ids):
	Get the start date of the appointment if its recurring.

2006-01-05  Kjartan Maraas  <kmaraas@gnome.org>

	* e-gw-connection.c: (e_gw_connection_add_members),
	(e_gw_connection_remove_members): Remove some extra unneeded
	assignments that caused warnings.
	* e-gw-filter.c: (e_gw_filter_finalize): One instance here too.

2005-12-20  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-connection.c: (reauthenticate): return if priv is NULL

2005-12-13  Tor Lillqvist  <tml@novell.com>

	* e-gw-connection.c (e_gw_connection_dispose): Guard agsinst
	priv->uri being NULL, too.

2005-12-06  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-item.[ch]: Add a new item contentid in the EGwAttachment
	structure to faciliate content id for images/attachments.

2005-11-25  Tor Lillqvist  <tml@novell.com>

	* e-gw-sendoptions.c: Use g_ascii_strcasecmp() instead of
	strcasecmp() for portability.

2005-11-09  Sankar P  <psankar@novell.com>

	* e-gw-connection.c (e_gw_connection_parse_response_status):
	Added code to handle the Quota errors.
	Fixes #314476

2005-09-30  P. S. Chakravarthi <pchakravarthi@novell.com>

	Fixes #314243
	* e-gw-item.c: (e_gw_item_set_calendar_item_elements):
	added a line to set the interval information also to 
	the soup message to be sent to gw-server.

2005-09-16  Parthasarathi Susarla <sparthasarathi@novell.com>
	* e-gw-connection.c: (e_gw_connection_format_date_string):
	Return if the length of the dtstring is 0

2005-09-15  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-container.c: (e_gw_container_set_from_soap_parameter):
	Add the Type for "Sent Items" and "Junk Mail" folder.

	* e-gw-item.[ch]: add delivered date for mails.

	Approved by Chenthill Palanisamy <pchenthill@novell.com>

2005-09-15  Sankar P  <psankar@novell.com>

	* e-gw-proxy.c (e_gw_proxy_form_modify_proxy_msg):
	Changed the implementation of modify proxy access rights,
	as per the latest schema.
	Fixes #311447

2005-08-26  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-connection.c: (e_gw_connection_read_cal_ids): Get 
	the ids of tasks and appointment only.

2005-08-24  Sankar P  <psankar@novell.com>
	
	* e-gw-connection.[ch] :
	Added function e_gw_connection_get_all_mail_uids to get all
	the ids in a folder. This is used for syncing deleted items in mailer.
	Fixes #306803
	
2005-08-22  Not Zed  <NotZed@Ximian.com>

	* e-gw-item.c (e_gw_item_append_to_soap_message): cast strlen to
	int for printf.

2005-08-13  Tor Lillqvist  <tml@novell.com>

	* Makefile.am: Use NO_UNDEFINED.

2005-08-10  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-connection.c: (e_gw_connection_parse_response_status):
	return E_GW_CONNECTION_OTHER for error 53530

2005-08-06  Vivek Jain <jvivek@novell.com>

	* e-gw_item.c: (add_attachment_to_soap_message):
	'size' will be set conditionally, better initialized as NULL,
	as we free it anyway.

2005-08-02  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-item.c: (e_gw_item_new_from_soap_parameter): Check
	for the element startDay or endDay and do the same as startDate
	and endDate.

2005-07-29  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-item.c: 
	(add_attachment_to_soap_message): do not send data
	and size if the values are not present. Not even
	NULL data.
	Fixes bug 303065

2005-07-25  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #303548
	* e-gw-connection.[ch]: 
	(e_gw_connection_get_attachment): Get buffer and buffer_length
	if soap response gets the param for "part".
	(e_gw_connection_read_cal_ids): Renamed the old function
	read_ical_ids.
	* e-gw-item.c: 
	(e_gw_item_free_cal_id): New function to free the structure
	EGwItemCalId.
	(e_gw_item_set_calendar_item_elements): Fixed a warning.
	* e-gw-item.h: New structure to store the ids w.r.t calendar
	items.

2005-07-25  Sushma Rai  <rsushma@novell.com>

	* e-gw-message.c (e_gw_message_new_with_header)
	(e_gw_message_write_footer): Checking for the GROUPWISE_DEBUG 
	environment variable value set to 1.

2005-07-22  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #310752
	* e-gw-item.c: (e_gw_item_set_calendar_item_elements): Send
	the icalid.

2005-07-19  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-connection.c: (e_gw_connection_accept_request),
	(e_gw_connection_decline_request): Added additional parameters
	for passing the recurrence key.
	* e-gw-connection.h: Removed two functions for accepting/declining
	for recurrences.

2005-07-10  Sankar P  <psankar@novell.com>

	* e-gw-connection.c : 
	Changed loaded_connections hashtable to loaded_connections_permissions, 
	since the hash-table is used to hold not only connections but also permissions 
	associated with a proxy login.
	(form_proxy_login_request) : Added function to form a proxy login SOAP request.

	* e-gw-connection.[ch] :
	(e_gw_connection_get_proxy_connection) 
	(e_gw_connection_get_proxy_access_list)
	(e_gw_connection_get_proxy_list) : Added functions to implement the proxy feature.

	* e-gw-proxy.[ch]:
	Added new files for implementing the proxy feature.
	* Makefile.am :
	Updated to accomodate the new source and header files

2005-07-10  Shreyas Srinivasan  <sshreyas@novell.com>

	* e-gw-connection.[ch] :
	(e_gw_connection_add_proxy)
	(e_gw_connection_remove_proxy)
	(e_gw_connection_modify_proxy) : Added functions to implement the proxy feature.

2005-07-09  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-item.c: (e_gw_item_set_calendar_item_elements):
	Fix compiler warnings.

2005-07-08  Harish Krishnaswamy  <kharish@novell.com>

	* Makefile.am: Added the new files e-gw-recur-utils.[ch] for 
	recurrence handling.
	* e-gw-connection.[ch]:
	(e_gw_connection_accept_request_by_recurrence_key),
	(e_gw_connection_decline_request_by_recurrence_key):Accept/Decline 
	all recurrence items at one go by using	the recurrence key.
	* e-gw-item.c (e_gw_item_dispose),
	(e_gw_item_new_from_soap_parameter)
	(e_gw_item_set_calendar_item_elements),	(e_gw_item_get_exdate_list),
	(e_gw_item_set_exdate_list), (e_gw_item_get_rrule),
	(e_gw_item_set_rrule), (e_gw_item_get_recurrence_key),
	(e_gw_item_set_recurrence_key): Create recurrence events
	by sending the Recurrence formula to the server rather than 
	computing the instances.

2005-07-08  Sankar P  <psankar@novell.com>

	* e-gw-connection.[ch] :
	(e_gw_connection_read_ical_ids): Added function which is necessary for 
	identifying deleted appointments, meetings and tasks. This is created as part of 
	the movement to getItems from getQuickMessages.
	
2005-07-06  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-connection.[ch] :
	  (e_gw_connection_forward_item):
	* e-gw-item.[ch]: 
	     added padding to  'struct _EGwItemPrivate'
	  (free_link_info): 
	  (e_gw_item_new_from_soap_parameter):
	    Support for Groupwise Notes.
	    Adds size of the mail, for display in summary.
	    Support for message body > 64 K
	    Added linkInfo element for thread information to the server
	  (add_attachment_to_soap_message): 
	    set itemReference in case of forwarded mails.

2005-07-05  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-item.c: (e_gw_item_new_from_soap_parameter),
	(e_gw_item_append_to_soap_message),
	(append_event_changes_to_soap_message): Look for 1/0
	in the soap messages rather than true/false.

2005-07-05  Vivek Jain <jvivek@novell.com>
	
	* e-gw-connection.h:
	Added EGwJunkEntry structure
	* e-gw-connection.[ch]: added functions
	(e_gw_connection_modify_junk_mail_settings):to set/modify junk mail
	settings, which uses new utility function (msg_add_settings)
	(e_gw_connection_create_junk_entry): to create a junk entry 
	(e_gw_connection_get_junk_entries) : to get junk entries stored at
	server
	uses two new helper functions
	(get_junklist_from_soap_response)
	(e_gw_junkentry_new_from_soap_parameter).
	(e_gw_connection_remove_junk_entry): to remove a junk entry
	(e_gw_connection_get_junk_settings): to get the junk settings
	(parse_junk_settings): actually parses response and assigns values

2005-07-04  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-connection.c (e_gw_connection_get_items_delta):
	Changed param to subparam, to get the paramater sync.

2005-07-02  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-container.c: (e_gw_container_dispose):
	fix compiler warnings.

2005-07-02  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-connection.c: (e_gw_connection_get_items_delta):
	Parse the soap parameter of the item her itself to identify if the 
	object is added/updated/removed one.
	* e-gw-item.c (set_contact_fields_from_soap_parameter): Removed 
	the variable EGwItemChangeType sync.
	* e-gw-item.h: Removed the unnecessary function 
	e_gw_item_get_sync_type.

2005-06-08  Srinivasa Ragavan <sragavan@novell.com>

	* e-gw-connection.[ch] :Added function to retrive deltainfo and delta
	* e-gw-item.[ch] : Added a variable sync to EGwItem to know the type 
	of change to the item while reading the deltas

2005-06-06  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-connection.[ch] (e_gw_connection_delegate_request): Added 	
	a function for sending a delegate request.
	* e-gw-item.h (add_distribution_to_soap_message): Changed the na
	me and made it public.
	* e-gw-item.c (e_gw_item_set_calendar_item_elements),
	(e_gw_item_append_to_soap_message): Changed the name of the
       	above mentioned	function.

2005-05-12  Harish Krishnaswamy  <kharish@novell.com>

	* libegroupwise.pc.in: Remove hardcoded value.
	Use LIBSOUP from configure instead.

2005-05-12  Ulrich Neumann <uli@myuli.com>

	* e-gw-item.c (get_notification_value): Fix a memory leak.

2005-05-09  Sushma Rai  <rsushma@novell.com>

	* e-gw-item.c (set_common_addressbook_item_fields_from_soap_parameter):
	Reading and saving modified time parameter value from the server 
	response.

2005-05-09  Sushma Rai  <rsushma@novell.com>

	* e-gw-item.c (set_contact_fields_from_soap_parameter): Freeing value,
	postal_address.
	(e_gw_item_new_from_soap_parameter): Freeing "to", priority.

	* servers/groupwise/e-gw-connection.c 
	(e_gw_connection_get_quick_messages): Checking for NULL start date.

2005-05-06  Ulrich Neumann <uli@myuli.com>

	* e-gw-sendoptions.c (set_status_tracking_changes):
	Fixed two memory leaks.

2005-04-26  Parthasarathi Susarla <sparthasarathi@novell.com>
	* e-gw-item.[ch]: Reverting patch adding itemReference 
	  in the EGwItemAttachment structure.

2005-04-22 Vivek Jain <jvivek@novell.com>

	* e-gw-cotainer.c: 	
	EGwContainerPrivate:
	changed the type of "modified" to char *	
	(e_gw_container_finalize) :freeing the members of priv
	added a function free_node to free each of the node of user_list

2005-04-07  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-connection.c: (e_gw_connection_get_quick_messages):
	 Responds with a list of all item ids if "id" is the view
	 for the filter "All". 
	 This fixes **72302.

2005-04-07  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-item.h: add a new element in the EGwItemAttachment
	  structure for storing the itemRefernce value for an
	  attachment
	* e-gw-item.c: (e_gw_item_new_from_soap_parameter):
	  check for the itemReference property for an attachment

2005-03-16  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-container.c: (e_gw_container_set_from_soap_parameter):
	The type of the folder comes in the tag "folderType" and not
	just "type" anymore.

2005-02-28  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-connection.c: (e_gw_connection_get_quick_messages):
	Look for the timestring only in the New getQM responses.
	The server does not send it during the modified call and
	hence do not flag an error.

2005-02-28  Sankar P <psankar@novell.com>

       * e-gw-item.c: (add_distribution_to_soap_message):
       Added code for handling BCC addresses in the recipient list.
       Fixes #73008

2005-02-25  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-connection.c: (e_gw_connection_get_quick_messages):
	* e-gw-connection.h: Changed the function to get the argument
	startdate as double pointer to give the utc time sent by server
	back to the callers.

2005-02-25  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-connection.[ch]: (e_gw_connection_read_cursor):
	Added 'position' field to the readCursor request reflecting
	the related server fix and the schema change.

2005-02-22  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-item.c (e_gw_item_append_to_soap_message): 
	Adds a new elememt 'part' in a mail message in compliance
	with the schema. 

2005-02-17  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-connection.c: 
	(e_gw_connection_dispose),(e_gw_connection_init): Create
	and destroy the new hash tables for storing categories.
	(e_gw_connection_get_settings), (e_gw_connection_get_categories),
	(e_gw_connection_get_address_book_list): Added mutex locks and stored the
	category/container list information in cnc private to reduce 
	the network calls.
	(e_gw_connection_get_address_book_id): Use the new syntax for the 
	get_addressbook_list and don free the list.
	* e-gw-connection.h: Changed the declaration

2005-02-16 Vivek Jain <jvivek@novell.com>
	
	* e_gw_item.c : (set_recipient_list_from_soap_parameter)
		      : (e_gw_item_new_from_soap_parameter)
	set appropriate status for "deleted" items

2005-02-09  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-connection.c: (e_gw_connection_new):
	* e-gw-item.c: (set_sendoptions_from_soap_parameter),
	(e_gw_item_new_from_soap_parameter): Fixed some memory
	leaks.

2005-02-08  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-connection.[ch]:
	  Parse loginResponse for serverUTCTime and set it
	  in the priv structure of the connection
	  *** Patch Reviewed by Chenthill Palanisamy <pchenthill@novell.com>
	
	* e-gw-item.[ch]:
	  Set the content type for the message
	  
2005-02-08  Harish Krishnaswamy  <kharish@novell.com>

	* soap-test.c: (main): The previous commit removing 
	the use of libgnome failed to do a g_thread_init.
	Added the same.

2005-02-07  Sivaiah Nallagatla    <snallagatla@novell.com>
                                                                                                                             
        * e-gw-item.c (set_contact_fields_from_soap_parameter)
        (e_gw_item_new_from_soap_parameter) : free the value
        returned by soup_soap_parameter_get_property. Fixes
        a memory leak

2005-02-07  Ross Burton  <ross@openedhand.com>

	* create-account.c:
	* soap-test.c:
	Remove useless libgnome use.

2005-02-07  Harish Krishnaswamy  <kharish@novell.com>

	* doc/gw-soap-methods.xsd:
	* doc/gw-soap-types.xsd: Updated schema files.
	

2005-02-04  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-item.c: (set_sendoptions_from_soap_parameter),
	(append_gw_item_options): Set the whenconvenient flag
	correctly.

2005-02-04  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-connection.c: 
	 (e_gw_connection_get_container_list): Fix for bug # 72172
	 (e_gw_connection_reply_item): implements reply request

2005-02-03  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-connection.c: (e_gw_connection_get_date_from_string):
	allocating for the proper length for the datestring
	* e-gw-item.c: (free_recipient): free the recipient last

2005-02-03  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-connection.c: (e_gw_connection_position_cursor),
	(e_gw_connection_read_cursor): Added the container ids.

2005-02-03  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-container.c: Included  the file e-gw-message.h
	to remove the warning.
	* e-gw-item.c: (get_notification_value),
	(set_sendoptions_from_soap_parameter),
	(e_gw_item_new_from_soap_parameter):Added code to read 
	the send options from the server for the items recevied.
	(add_distribution_to_soap_message): Changed the WithinNdays
	in reply requested to byDate and added a WhenConvenient element.
	* e-gw-sendoptions.c: (parse_general_options),
	(set_general_options_changes): Changed the name of the 
	elements due to change in schemas.

2005-02-03  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	Fix Reviewed by Chenthill Palanisamy <pchenthill@novell.com>

	* e-gw-container.c (e_gw_container_set_from_soap_parameter):
	  Changed the Mailbox's container type from Inbox to Mailbox
	  to coincide with servers changes

2005-02-02  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-connection.c (e_gw_connection_position_cursor),
	(e_gw_connection_read_cursor): Do not send container id to
	the request as this is redundant now.

2005-01-31 Vivek Jain <jvivek@novell.com>
	* e-gw-connection.[ch] : added a function 
	(e_gw_connection_get_version)
	* e-gw-connection.c : added version in _EGwConnectionPrivate
	(e_gw_connection_new): parse response to get server version

2005-01-31  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-gw-item.c: (e_gw_item_set_calendar_item_elements):
	Add the source to the soap message, if it is set.

2005-01-27  Chenthill Palanisamy  <pchenthill@novell.com>

	partially Fixes#68541
	* e-gw-connection.c: (reauthenticate),
	(e_gw_connection_get_error_message), (logout),
	(e_gw_connection_get_container_list), (e_gw_connection_get_items),
	(e_gw_connection_get_items_from_ids), (e_gw_connection_get_deltas),
	(e_gw_connection_send_item), (e_gw_connection_create_item),
	(e_gw_connection_modify_item), (e_gw_connection_get_item),
	(e_gw_connection_remove_item), (e_gw_connection_remove_items),
	(e_gw_connection_accept_request),
	(e_gw_connection_decline_request),
	(e_gw_connection_retract_request), (e_gw_connection_create_book),
	(e_gw_connection_get_address_book_list),
	(e_gw_connection_modify_settings), (e_gw_connection_get_settings),
	(e_gw_connection_get_categories), (e_gw_connection_add_members),
	(e_gw_connection_remove_members), (e_gw_connection_create_cursor),
	(e_gw_connection_destroy_cursor),
	(e_gw_connection_position_cursor), (e_gw_connection_read_cursor),
	(e_gw_connection_get_quick_messages),
	(e_gw_connection_create_folder), (e_gw_connection_get_attachment),
	(e_gw_connection_add_item), (e_gw_connection_add_items),
	(e_gw_connection_rename_folder), (e_gw_connection_move_item),
	(e_gw_connection_accept_shared_folder),
	(e_gw_connection_purge_deleted_items), (e_gw_connection_mark_read),
	(e_gw_connection_mark_unread):
	* e-gw-connection.h: Added a new STATUS message NO_RESPONSE, and used
	it in case if the server does not respond.

2005-01-25 Sivaiah Nallagtla  <snallagatla@novell.com>

	* e-gw-connection.c (e_gw_connection_new) : append NULL 
	to g_strconact args. Doh 

2005-01-20  Parthasarathi Susarla <sparthasarathi@novell.com>

	* e-gw-container.[ch] (e_gw_container_set_from_soap_parameter):
	  sets the type of the container the in the container private
	  structure.
	
2005-01-19  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-message.c (e_gw_message_write_footer):
	mask the password with 'X' characters while dumping 
	liginRequest to screen 
	fixes #70067

2005-01-12  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-item.[ch]
	(set_recipient_list_from_soap_parameter): support for status
	tracking of a sent mail

2005-01-12  Chenthill Palanisamy <pchenthill@novell.com>

	* e-gw-connection.c: 
	(e_gw_connection_modify_settings), (e_gw_connection_get_settings):
	* e-gw-connection.h: Added a new function for modifyin the settings.
	* e-gw-sendoptions.c: (parse_status_tracking_options),
	(parse_general_options), (parse_advanced_settings),
	(e_gw_sendoptions_store_settings),
	(e_gw_sendoptions_write_settings), (set_status_tracking_changes),
	(set_general_options_changes),
	(e_gw_sendoptions_form_message_to_modify), (e_gw_sendoptions_new):
	* e-gw-sendoptions.h: Added new functions to form the soap message for
	modifying the Send options settings.

2005-01-08  Not Zed  <NotZed@Ximian.com>

	* e-gw-item.c (e_gw_item_set_calendar_item_elements): cast strlen to int.
	(append_event_changes_to_soap_message): same.

2005-01-11  Chenthill Palanisamy <pchenthill@novell.com>
	
	* e-gw-item.c
	(e_gw_item_set_calendar_item_elements):
	(e_gw_item_append_to_soap_message): Add the attachments
	element, only when the attachments are present.

2005-01-11  Parthasarathi Susarla <sparthasarathi@novell.com>
	* e-gw-item.[ch]
	  (e_gw_item_set_source): sets the source element for
	  mails.

2005-01-11  Parthasarathi Susarla <sparthasarathi@novell.com>

	* e-gw-connection.[ch]
	  (e_gw_connection_mark_read): mark messages read
	  (e_gw_connection_mark_unread): mark messages unread

2005-01-11  Parthasarathi Susarla <sparthasarathi@novell.com>

	* e-gw-connection.c
	  (e_gw_connection_move_item): changed moveItemsRequest
	  to moveItemRequest.

2005-01-11  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-item.c
	  (e_gw_item_append_to_soap_message): included the
	  "source" and the "container" parameter when creating
	  a mail message

2005-01-10  Harish Krishnaswamy  <kharish@novell.com>
	* e-gw-item.c
	  (add_attachment_to_soap_message): remove the 
	  duplicate free on size.

2005-01-10  Sivaiah Nallagatla <snallagatla@novell.com>
                                                                                                                             
        * e-gw-connection.[ch](e_gw_connection_purge_deleted_items)
        new api which deletes items from trash

2005-01-10  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* e-gw-item.c
	(e_gw_item_new_from_soap_parameter): setting item type
	for Sharefolder Notification.

2005-01-10  Vivek Jain <jvivek@novell.com>
	
	* e-gw-connection.[ch]: included a function 
	(e_gw_connection_accept_shared_folder) :for accepting the
	shared-folder notification and installing it.

2005-01-10  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-item.c (add_attachment_to_soap_message),
	(e_gw_item_set_calendar_item_elements):
	Map the attachment related information between
	e-gw-item and the soap representation.

2005-01-10  Parthasarathi Susarla <sparthasarathi@novell.com>

	* e-gw-item.c
	  (add_attachment_to_soap_message): setting the proper 
	  attachment size

2005-01-10  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-connection.h : Add new status code
	E_GW_CONNECTION_STATUS_REDIRECT
	* e-gw-connection.c 
	(form_login_request) :  moved the loginrequest 
	forming code to here so it can be called whenever 
	it is needed
	(e_gw_connection_new) : call form_login_request here.
	if the status code is E_GW_CONNECTION_STATUS_REDIRECT
	send the login request to new server
	(e_gw_connection_move_item) : new api to move/copy mails
	between folders 

2005-01-09  Sivaiah Nallagatla <snallagatla@novell.com>

	* doc/gw-soap-methods.xsd 
	* doc/gw-soap-types.xsd : latest soap schema files 
	
2005-01-06  Parthasarathi Susarla <sparthasarathi@novell.com>
 
	* e-gw-item.[ch]: 
	  (e_gw_item_new_from_soap_parameter): new item type for notifcation
	  of shared folder
	* e-gw-connection.[ch]:
	  (e_gw_connection_add_items),
	  (e_gw_connection_rename_folder): support for renaming of folders

	  
2005-01-06  Chenthill Palanisamy <pchenthill@novell.com>
	
	* Makefile.am:
	* e-gw-sendoptions.[ch]: Adding two new files for send options.
	* e-gw-connection.c: (e_gw_connection_dispose),
	(e_gw_connection_init), (e_gw_connection_get_settings):
	* e-gw-connection.h: Added the send options variable to the
	structure and added a function to get the send options settings
	from the server.
	* e-gw-item.c: (e_gw_item_init), (e_gw_item_set_sendoptions),
	(add_distribution_to_soap_message),
	(e_gw_item_set_calendar_item_elements),
	(e_gw_item_append_to_soap_message):
	* e-gw-item.h: Added a boolean variable set_sendoptions. Now the 
	send options will be sent to the server only when this variable is
	set.

2005-01-06  Parthasarathi Susarla <sparthasarathi@novell.com>

       * e-gw-item.[ch]: support for attachments for soap mailer
         (free_attach),
         (e_gw_item_set_attach_id_list),
         (add_attachment_to_soap_message),
         (e_gw_item_set_calendar_item_elemets)
       * e-gw-container.[ch]: retrive the unread and total count from
         the soap response.
         (e_gw_container_set_from_soap_parameter),
         (e_gw_container_get_total_count),
         (e_gw_container_get_unread_count)


2005-01-03  Vivek Jain <jvivek@novell.com>

	* e-gw-connection.[ch] : added a function to share a folder
	(e_gw_connection_share_folder)
	
	*e-gw-container.[ch] : Added One structure for reperenting a user
	corresponding to a folder (EShUsers),
	Added functions 
	(e_gw_container_get_user_list) : gets list of users for a folder
	(e_gw_container_get_owner): gets owner of the folder
	(e_gw_container_get_modified) : gets when modified last
	(e_gw_container_get_sequence) : gets the sequence of the folder
	(e_gw_container_get_is_shared_by_me)
	(e_gw_container_get_is_shared_to_me)
	(e_gw_container_get_rights)
	(e_gw_container_form_message) : to form the request message
	and for setting these the following static methods in 
	* e-gw-container.c 
	(e_gw_container_set_owner)
	(e_gw_container_set_modified)
	(e_gw_container_set_sequence) 
	(e_gw_container_set_is_shared_by_me)
	(e_gw_container_set_is_shared_to_me):
	
2004-12-15  Chenthill Palanisamy <pchenthill@novell.com>

	* e-gw-item.c:
       	(e_gw_item_dispose), (e_gw_item_init),
	(e_gw_item_new_from_soap_parameter), (e_gw_item_get_task_priority),
	(e_gw_item_set_task_priority), (e_gw_item_set_reply_request),
	(e_gw_item_get_reply_request), (e_gw_item_set_reply_within),
	(e_gw_item_get_reply_within), (e_gw_item_set_track_info),
	(e_gw_item_get_track_info), (e_gw_item_set_autodelete),
	(e_gw_item_get_autodelete), (e_gw_item_set_notify_completed),
	(e_gw_item_get_notify_completed), (e_gw_item_set_notify_accepted),
	(e_gw_item_get_notify_accepted), (e_gw_item_set_notify_declined),
	(e_gw_item_get_notify_declined), (e_gw_item_set_notify_opened),
	(e_gw_item_get_notify_opened), (e_gw_item_set_notify_deleted),
	(e_gw_item_get_notify_deleted), (e_gw_item_set_expires),
	(e_gw_item_get_expires), (e_gw_item_set_delay_until),
	(e_gw_item_get_delay_until), (add_return_notification),
	(append_gw_item_options), (add_distribution_to_soap_message),
	(e_gw_item_set_calendar_item_elements),
	(e_gw_item_append_to_soap_message),
	(append_event_changes_to_soap_message):
	* e-gw-item.h: Added the necessary functions needed for send options.

2004-12-05  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-connection.[ch] : (e_gw_connection_get_item) :
	Added view argument to the prototype and use it in function

	(e_gw_connection_get_container_list) : added parent
	argument to the protoype and used that in function
	(e_gw_connection_get_container_id) : call get_container_list
	with new prototype 

	(e_gw_connection_get_attachmenent) :
	(e_gw_connection_create_folder) :
	(e_gw_connection_add_item) : new methods 

	* e-gw-item.[ch] : (e_gw_item_set_to)
	(e_gw_item_get_to) 
	(e_gw_item_get_msg_content_type)
	(e_gw_item_get_item_status) 
	(e_gw_item_get_attach_id_list) :  
	(free_attach) : new methods 
	(e_gw_item_new_from_soap_parameter) : added reading 
	mail related fields 
	(e_gw_item_append_to_soap_message) : added appending mail related fields

	Added new item status types and new item type Mail

	* e-gw-container.[ch] : (e_gw_container_get_parent_id)
	(e_gw_container_set_parent_id)
	(e_gw_container_is_root) : new methods 
	(e_gw_container_set_from_soap_parameter) : read parent id 

 
2004-11-21  Sivaiah Nallagatla <snallagatla@novell.com>

	* doc/gw-soap-methods.xsd 
	* doc/gw-soap-types.xsd : checked in new schema files
	which has shared folder notifacaton changes and updateFrequentContacts
	send option 
	 
2004-11-18  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-connection.c (e_gw_connection_new) : change 
	the "UserInfo" element to "userinfo"
	part of the fix for #69624

	
2004-10-26  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-message.c (e_gw_message_new_with_header) :
	add keep-alive http header so that we don't make 
	a new  connection for each http request
	
	
2004-10-15  Chenthill Palanisamy <pchenthill@novell.com>

	Fixes #67031
	* e-gw-item.[ch] (e_gw_item_set_completed_date), 
	(e_gw_item_get_completed_date):
	Added apis to get and set the completion date for tasks.
	* e-gw-item.c (set_recipient_list_from_soap_parameter):
	Set the completion date for group tasks.
	(_EGwItemPrivate): Added a string variable completed_date.
	(e_gw_item_init): Initialized the variable.

2004-10-13 Sivaiah Nallagatla    <snallagatla@novell.com>
                                                                                                    
        * e-gw-connection.c (reauthenitcate) : new function to reautheicate
        to server when the sessionid we have becomes invalid because of timeouts
        server restarts etc.
        (e_gw_connection_parse_response_status) : add the new soap error code
        and corresponding E_GW_CONNECTION_*  status code.
        (e_gw_connection_new) : no need to dup th session id got form soap
        response.
        (e_gw_connection_init) (e_gw_connection_dispose) : init and free the new
          mutex added to take care of muliple calls to reauthenicate
        (e_gw_connection_get_items) (e_gw_connection_get_items_from_ids)
        (e_gw_connection_send_item) (e_gw_connection_create_item)
        (e_gw_connection_modify_item) (e_gw_connection_get_item)
        (e_gw_connection_remove_item) (e_gw_connection_remove_items)
        (e_gw_connection_accept_request) (e_gw_connection_decline_request)
        (e_gw_connection_retract_request) (e_gw_connection_complete_request)
        (e_gw_connection_create_book) (e_gw_connection_get_address_book_list)
        (e_gw_connection_add_members) (e_gw_connection_remove_members)
        (e_gw_connection_destroy_cursor) (e_gw_connection_create_cursor)
        (e_gw_connection_read_cursor) (e_gw_connection_get_categories)
        (e_gw_connection_get_quick_messages) : if the status is invalid session
        call reauthenticate
        part of the fix for #64298

2004-10-12  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-connection.[ch]: (e_gw_connection_get_container_list) : The
	argument should be "recurse" not "recursive".
	(e_gw_connection_position_cursor): Add a function to position the cursor
	at the desired offset.
	(e_gw_connection_read_cursor): Set the cursor at end and direction set
	to reverse - so items can be fetched Latest First.

2004-10-10  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-connection.c: (e_gw_connection_new): Add a static
	mutex in this function to prevent the addressbook, calendar,
	the alarm-daemon etc. from issuing simulataneous independant 
	login requests to the server for the same account.

2004-10-07  Chenthill Palanisamy <pchenthill@novell.com>

	Fixes #65200
	* e-gw-connection.c (e_gw_connection_dispose), 
	(e_gw_connection_finalize):
	Remove the connection from the hash table in dispose
	method.

2004-10-07  Chenthill Palanisamy <pchenthill@novell.com>

	Partially Fixes #67031
	* e-gw-item.c (e_gw_item_new_from_soap_parameter):
	Get the value of the completed element comparing with 
	the string "1" instead of "TRUE".

2004-10-04  Chenthill Palanisamy <pchenthill@novell.com>

	Fixes #66484
	* e-gw-connection.[ch] (EGwConnectionStatus):
	Added a enum variable for the code error User not
	found error message from the server.
	* e-gw-connection.c (e_gw_connection_parse_response_status),
	(e_gw_connection_get_error_message):		
	Added the code 53505 and used the new enum variable.

2004-10-01  Chenthill Palanisamy <pchenthill@novell.com>

	Fixes #62868
	* e-gw-connection.[ch] (e_gw_connection_parse_response_status):
	Added the error code and an enum variable for Item already accepted.
	
2004-09-23  JP Rosevear  <jpr@novell.com>

	* Makefile.am: build versioned library and don't hard code pkg
	config name

2004-09-22  Harish Krishnaswamy  <kharish@novell.com>

	Fixes #61865	
	* e-gw-connection.[ch]: 
	(e_gw_connection_get_quick_messages): implements
	sending a getQuickMessagesRequest to the server and
	parsing the response.

2004-09-08  Chenthill Palanisamy <pchenthill@novell.com>
	
	Fixes #64062
	* e-gw-item[ch]
	(e_gw_item_set_is_allday_event), (e_gw_item_get_is_allday_event):
	Added functions to handle the allday events for Appointments.
	* e-gw-item.c 
	(e_gw_item_append_to_soap_message),(append_event_changes_to_soap_message)
	(e_gw_item_new_from_soap_parameter): Added the support for allDay events
	in appointments.

2004-08-27  Chenthill Palanisamy <pchenthill@novell.com>

	* e-gw-item.h:
	Defined a string for handling acceptLevel "Free" in appointments

2004-08-24 Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-connection.[ch]
	(e_gw_connection_create_cursor)
	(e_gw_connection_destroy_cursor)
	(e_gw_connection_read_cursor) : new functions to read items
	in chunks using curosrs insted of all at once
	* e-gw-message.[ch]  (e_gw_message_write_int_parameter) :
	new function to set int parameter 

2004-08-19  Chenthill Palanisamy <pchenthill@novell.com>
	
	Fixes #62065
	* e-gw-tem.c
	(e_gw_item_new_from_soap_parameter): Check whether message
	element has content in it before trying to decode it.

2004-08-19 Sivaiah Nallagatla <snallagatla@novell.com>

	* doc/gw-soap-types.xsd 
	* doc/gw-soap-mehtods.xsd : check in latest 
	soap schemas 

2004-08-13  Chenthill Palanisamy <pchenthill@novell.com>

	* e-gw-item.h
	(EGwItemRecipient): added an enum variable to handle BC.
	* e-gwitem.c
	(set_recipient_list_from_soap_parameter): used the enum variable
	for handling BC.
	
2004-08-09  Harish Krishnaswamy  <kharish@novell.com>

	Fixes #62415.
	* e-gw-connection.c: 
	(e_gw_connection_new): remove unused variable. 
	(e_gw_connection_get_items), (e_gw_connection_get_items_from_ids),
	(e_gw_connection_get_deltas), (e_gw_connection_get_item):
	update 	e_gw_item_new_from_soap_parameter calls with new parameter.
	(e_gw_connection_accept_request): accept_level should be outside the
	items element. (funny, the server did not catch us doing this).
	* e-gw-item.[ch]: (set_recipient_list_from_soap_parameter): send item 
	pointer instead of the list pointer since we need to access the 
	self-status as well.
	(e_gw_item_new_from_soap_parameter): add parmater email. set the 
	self_status of the e_gw_item from the mail properties.

2004-08-02  Chenthill Palanisamy <pchenthill@novell.com>

	Fixes #57127
	* e-gw-item.c
	(e_gw_item_new_from_soap_parameter),(e_gw_item_append_to_soap_message), 
	(append_event_changes_to_soap_message): Made the required changes to 
        send/receive the category information to/from the soap message.

2004-07-26  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-item.c: (e_gw_item_set_calendar_item_elements):
	Do not set the icalid on the request while saving recurring calender 
	events. The icalids for the created objects are obtained subsequently
	from the server through a getItemsRequest call. 

2004-07-12  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-connection.c: 
	(e_gw_connection_new) : Fix for #59471 by getting around the server 
	defect. Substitute the first . by @.
	(e_gw_connection_get_deltas): Fix for #56853. The server may indicate
	that there are changes but not provide deltas if they are outside our 
	interest. This is now considered a valid response.
	(e_gw_connection_send_item): Handle the change in the SOAP interface.
	The sendItemResponse now returns a list of ids.
	(e_gw_connection_accept_request), (e_gw_connection_decline_request),
	(e_gw_connection_retract_request), (e_gw_connection_complete_request):
	Implemented.

	* e-gw-connection.h: Declaration for the added functions.

	* e-gw-item.c: 
	(e_gw_item_new_from_soap_parameter): Add organizer only if the item
	source is not 'personal'. Use 'priority' instead of Taskpriority for
	Todos as recommended by the server team.
	(e_gw_item_set_calendar_item_elements): Organize common properties
	to Appointments and todo-s into a separate function.
	(e_gw_item_append_to_soap_message),
	(append_event_changes_to_soap_message),
	(e_gw_item_append_changes_to_soap_message): reorder soap elements
	in the sequence specified by the schema. The server does not enforce this 
	but doing it right anyway..


2004-06-15  Harish Krishnaswamy  <kharish@novell.com>

	Fixes #59352
	* e-gw-item.c: 
	(e_gw_item_init), (e_gw_item_dispose),
	(e_gw_item_new_from_soap_parameter), (e_gw_item_get_organizer),
	(e_gw_item_set_organizer), (add_distribution_to_soap_message):
	Convert EGwItemOrganizer to/from the <from> soap element.		

	(e_gw_item_append_to_soap_message): Add the <from> element explicitly 
	to <distribution> element, in addition to the <recipients> element.

	* e-gw-item.h: Add EGwItemOrganizer structure and get/set functions
	for the same.
	
2004-06-15 Sivaiah Nallagatla   <snallagatla@novell.com>

	* e-gw-item.h : added "name" member ot EGroupMember structure
	* e-gw-item.c (free_memeber) : free the newly added member also
	 (set_group_fields_from_soap_parameter) : read name also
	from soap response

2004-06-14  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-item.c: (e_gw_item_dispose), (e_gw_item_init),
	(set_recipient_list_from_soap_parameter),
	(e_gw_item_get_recurrence_dates), (e_gw_item_set_recurrence_dates),
	(e_gw_item_append_to_soap_message):
	Add support for recurrence in events.
	(add_distribution_to_soap_message): Make recipient list handling code
	common to both calendar and task items to support assignment in tasks.
	* e-gw-item.h: add get/set methods for recurrences, status field to 
	EGwRecipient.

2004-06-11  Rodrigo Moya <rodrigo@novell.com>

	* doc/gw-soap-methods.xsd:
	* doc/gw-soap-types.xsd: added new schemas from Tim.

2004-06-01  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-connection.[ch]  (e_gw_connection_remove_items):
	new function to delete many items on server at onece instead 
	sending one request for each item, removal pretty fast :)

	
2004-05-31  Sivaiah Nallagatla <snallagatla@novel.com>

	* e-gw-connection.c (set_group_fields_from_soap_parameter) :
	separate out group handling from contact code and make a 
	separate function 

2004-05-28  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-connection.[ch] (e_gw_connection_get_items_from_ids) :
	new function to retrive items when ids are given instead of filter
	
2004-05-25  Sivaiah Nallagatla <snallagatla@novell.com>
	
	* e-gw-item.c (free_im_address) : check for NULL
	before freeing as service can be null in case of 
	other type of im 

2004-05-25  Harish Krishnaswamy  <kharish@novell.com>


	* e-gw-item.c: (append_event_changes_to_soap_message):
	use accept_level instead of AcceptLevel as the hash key
	as the SET_DELTA macro is being used to set the changes.

2004-05-25 Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-item.c (e_gw_item_append_changes_to_soap_message) : add a case of 
	organization type also, its handling is same as contact  

2004-05-18  Harish Krishnaswamy  <kharish@novell.com>
	
	Fixes #56320 and related timezone issues.
	All datetime related fields are stored as strings and
	not as time_t structures.
       
	* e-gw-connection.c: (e_gw_connection_format_date_string):
	Convert the Groupwise datetime string into the format preferred
	by the ical library.
	* e-gw-connection.h:
	* e-gw-item.c: (e_gw_item_init),
	(e_gw_item_new_from_soap_parameter), (e_gw_item_get_creation_date),
	(e_gw_item_set_creation_date), (e_gw_item_get_start_date),
	(e_gw_item_set_start_date), (e_gw_item_get_end_date),
	(e_gw_item_set_end_date), (e_gw_item_get_due_date),
	(e_gw_item_set_due_date), (e_gw_item_append_to_soap_message),
	(append_event_changes_to_soap_message):
	Replace all time_t related conversions with string<->icaltimetype.
	* e-gw-item.h: Update arguments and return values on the get/set
	functions.

2004-05-18  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-item.c (set_contact_fields_from_soap_parameter) : read organization_id
	also from soap response
	* e-gw-item.c (append_office_info_to_soap_message) : just append org_name of organization-id
	 is not present

2004-05-17  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am (libegroupwise_la_LIBADD): Add $(E_DATA_SERVER_LIBS)
	to link all the right dependencies for the mono bindings to work
	correctly

	Fixes #58615

2004-05-14  Sivaiah Nallagatla  <snallagatla@novell.com>
	
	* e-gw-item.c (e_gw_item_new_from_soap_parameter) : set item type to 
	E_GW_ITEM_TYPE_ORGANISATION when item type attribute is Organization
	* e-gw-item.c (e_gw_item_append_to_soap_message) : add E_GW_ITEM_TYPE_ORGANISATION
	case to create organization type items

2004-05-12  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-item.c: (append_event_changes_to_soap_message) :
	check for added, modified and deleted fields and update
	the soap message.
	(e_gw_item_append_changes_to_soap_message):
	Add handlers for Appointment and Task items

2004-05-10  Sivaiah Nallagatla  <snallagatla@novell.com>
	
	* e-gw-container.[ch] (e_gw_container_get_is_frequent_contacts)
	(e_gw_container_set_is_frequent_contacts) : new apis to get and set
	whther the container is Frequent Contacts folder 
	
	* e-gw-connection.c (e_gw_connection_get_addressbook_list) : read 
	isFrequentContacts parameter from soap response and set it in container 

2004-05-04  Sivaiah Nallagatla  <snallagatla@novell.com>
	* e-gw-item.c  (free_full_name) : make it as function as we 
	have to at more than one place
	(set_contact_fields_from_soap_parameter) : do not duplicate
	the string returned form soup_soap_parameter_get_string_value.
	* e-gw-connection.c (e_gw_connection_get_categories) : ditto	
 

2004-05-04  Harish Krishnaswamy  <kharish@novell.com>

	* e-gw-item.c: (e_gw_item_init),
	(set_recipient_list_from_soap_parameter),
	(e_gw_item_new_from_soap_parameter),
	(e_gw_item_get_recipient_list), (e_gw_item_set_recipient_list),
	(e_gw_item_get_trigger), (add_distribution_to_soap_message),
	(e_gw_item_append_to_soap_message): Patch the FIXMEs in the code 
	handling recipient_list and message bodies in events.
	* e-gw-item.h: Added get/set functions for recipient_list.

2004-04-28  Sivaiah Nallagatla   <snallagatla@novell.com>

	* e-gw-connection.[ch]  (e_gw_connection_add_members)
	(e_gw_connection_remove_members) : new apis to modify a group item 
	* e-gw-item.[ch] : defined a new struct EGRoupMember to have both id 
	email of a member. Used the new Struct instead of just id 
	(free_group_member) : function to free EGroupMember

2004-04-27  Harish Krishnaswamy  <kharish@novell.com>

	Fixes #56535.

	* e-gw-item.c: (e_gw_item_init),
	(e_gw_item_new_from_soap_parameter), (e_gw_item_get_trigger),
	(e_gw_item_set_trigger), (e_gw_item_append_to_soap_message):
	Added support for saving Alarms in the GW server as well as 
	read the alarm information during retrieval.
	* e-gw-item.h: Added get/set functions for alarm trigger.

2004-04-23 Sivaiah Nallagatla   <snallagatla@novell.com>
	
	* e_gw_item.c ( append_group_fields_to_soap_message) : add id, distType
	itemType in the request 
	 
2004-04-15 Sivaiah nallagatla   <snallagatla@novell.com>
	
	* e-gw-connection.c (e_gw_connection_get_categories)
	* e_gw_item.c (set_common_addresbook_item_fields_from_soap_parameter) : strip off
	the part present after "@" symbol in categories ids 

	
2004-04-07  Sivaiah Nallagatla  <snallagatla@novell.com>

	* e-gw-connection.c  (e_gw_connection_create_book) :
	Add type "AddresBook" to item element and remove book element
	(e_gw_connection_remove_item) : remove the extra end element call
	 	
2004-04-03  Sivaiah Nallagatla  <snallagatla@novell.com>

	* e-gw-filter.[ch] : changed implementation to take care of nested filter 
	condtions. added new e_gw_filter_group_condtions api 

2004-04-02  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-message.c (e_gw_message_write_string-parameter_with_attribute) :
	append the passed in attribute name and value to message 

2004-04-01  Sivaiah nallagatla <snallagatla@novell.com>
                                                                                                                              
        * e-gw-connection.c (e_gw_connection_remove_item) : remove items and item from
        the request and add  container id to request


2004-04-01  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-item.c (e_gw_item_append_to_soap_message): s/iCalID/iCalId.
	Use the correct "length" attribute value.
	
2004-03-27  Sivaiah Nallagatla <snallagatla@novell.com>

	* e_gw_connection.[ch]:  added new api e_gw_connection_get_categories
	to read categories of an item 
	* e_gw_item.[ch] : added the folloiwng apis
	e_gw_item_get_categories, e_gw_item_set_categories
	e_gw_item_set_category_name, e_gw_item_get_category_name
	Also added the logic to get/set categories from/to soap message 
	respectively

2004-03-27  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-gw-container.c  (e_gw_container_is-writable) : return
        correct types in g_return_val_if_fail macros.

2004-03-26  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-item.c (e_gw_item_append_to_soap_message): set the <container>
	property if it's set.

2004-03-22  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-connection.[ch] (e_gw_connection_send_item): added 'char **id'
	parameter to pass the server-generated ID to the caller. Get the ID from
	the sendItemResponse message.

2004-03-19  JP Rosevear <jpr@ximian.com>

	* e-gw-connection.c: include gnome-i18n.h

2004-03-19  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-connection.[ch] (e_gw_connection_get_error_message): new function.

2004-03-19  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-connection.c (e_gw_connection_remove_item): fixed SOAP message
	format for not confusing the server.

2004-03-18  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-item.c (e_gw_item_append_to_soap_message): add "length" attribute
	for "message" property.

2004-03-18  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-message.[ch] (e_gw_message_write_base64_parameter): new function.

	* e-gw-item.[ch] (e_gw_item_append_to_soap_message): send "message"
	property as base64.
	(e_gw_item_new_from_soap_parameter): retrieve the "iCalId" property.
	(e_gw_item_dispose): free the icalid property.
	(e_gw_item_get_icalid, e_gw_item_set_icalid): new functions.
	(e_gw_item_append_to_soap_message): add "iCalId" property for events and
	tasks. Add only the ID property if it's not empty.

2004-03-18  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-message.[ch]
	(e_gw_message_write_string_parameter_with_attribute): use const
	for attribute-related arguments.

2004-03-18  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-connection.c (e_gw_connection_send_message): parse the
	response on all error codes.

	* e-gw-message.c (e_gw_message_new_with_header): fixed typo.

	* create-account.c: updated to create the sources properly.

2004-03-17  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-message.c: use an environment variable for debugging.
	(e_gw_message_new_with_header): setup debugging for message if
	GROUPWISE_DEBUG environment variable is defined.
	(e_gw_message_write_footer): ditto.

	* Makefile.am: remove DEBUG_CFLAGS.

2004-03-14  Harish K <kharish@novell.com>

	* e-gw-connection.[ch] : Make view element an argument to the 
	get_items call so the addressbook component can use it as well.
	
2004-03-11  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-connection.c (e_gw_connection_get_address_book_id): return
	correct types in g_return_val_if_fail macros.

2004-03-05 Harish K <kharish@novell.com>

	* e-gw-connection.c : (timet_from_string):
	1900 should be subtracted from the year value and 1 from the 
	month value in struct tm. Added include for ctype.h to remove
	compiler warning.	

2004-03-02 Sivaiah Nallagatla <snallagatla@novell.com>

	* doc/gw-soap-types.xml :
	* doc/gw-soap-methods.xml : checked in latest  version of these files 

2004-02-13  JP Rosevear <jpr@ximian.com>

	* Makefile.am: additional includes for builddir != srcdir

2004-02-18  Rodrigo Moya <rodrigo@ximian.com>

	* soap-test.c: added code to get the containers list and display all
	info for each container.

	* e-gw-item.c (e_gw_item_new_from_soap_parameter): free the value
	returned by soup_soap_parameter_get_property.

2004-02-06  Rodrigo Moya <rodrigo@ximian.com>

	* Makefile.am:
	* e-gw-connection.c: removed calendar specific code.
	(e_gw_connection_get_date_from_string): use time_t's instead of
	icaltimetype's.
	(start_freebusy_session, close_freebusy_session,
	e_gw_connection_get_freebusy_info): moved to the calendar backend.
	(e_gw_connection_get_uri, e_gw_connection_get_session_id): new
	functions.
	(e_gw_parse_response_status): made public.

	* e-gw-item.[ch]
	(e_gw_item_get_creation_date, e_gw_set_creation_date,
	e_gw_item_get_start_date, e_gw_item_set_start_date,
	e_gw_item_get_end_date, e_gw_item_set_end_date,
	e_gw_item_get_due_date, e_gw_item_set_due_date):
	use time_t's not icaltimetype's.
	(e_gw_item_append_to_soap_message): use the time_t's.
	(e_gw_item_get_classification, e_gw_item_set_classification):
	don't use ECalComponentClassification, but a string, which is what
	the server returns.
	(e_gw_item_dispose): free the classification, which is now a string.
	(set_recipģent_list_from_soap_parameter): renamed from set_attendee_...
	to not be calendar-specific.
	(e_gw_item_new_from_soap_parameter): s/attendee/recipient.

2004-02-06  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-item.[ch] (e_gw_item_new_from_cal_component,
	e_gw_item_to_cal_component): removed all calendar-specific code.
	(e_gw_item_get_item_type, e_gw_item_set_item_type,
	e_gw_item_get_container_id, e_gw_item_set_container_id): new functions.
	(e_gw_item_new_empty): new function to create empty EGwItem's.

	* e-gw-connection.[ch] (e_gw_connection_send_appointment): removed
	calendar-specific code.

2004-02-06  Rodrigo Moya <rodrigo@ximian.com>

	* Makefile.am: re-enabled create-account test program, it does not need
	the calendar libraries.

2004-02-06  Rodrigo Moya <rodrigo@ximian.com>

	* e-gw-container.h: fixed typo in function name.

	* e-gw-item.c (e_gw_item_to_cal_component): return NULL if the item
	type is not supported.

	* Makefile.am: disable test programs until we remove all calendar
	dependencies.

2004-02-06  Rodrigo Moya <rodrigo@ximian.com>

	Moved Groupwise API library to its own directory, for easy reuse in
	both calendar and addressbook backends.
